Syndai Docs

Revoke an app API key

DELETE
/api/v1/external/coding/customers/{customer_id}/repositories/{coding_repository_id}/publication/data/api/keys/{key_id}

Revokes a key: the next request that carries it is refused (401). Needs coding:apps:publish.

Authorization

CustomerApiKey
headerAuthorizationBearer <API Key>

Customer API key sent as a bearer token

Path Parameters

customer_id*string
Formatuuid
coding_repository_id*string
Formatuuid
key_id*string
Match^[0-9a-f]{16}$

Response Body

Request fulfilled, nothing follows

Example Request
curl -X DELETE 'https://api.syndai.ai/api/v1/external/coding/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/repositories/497f6eca-6276-4993-bfeb-53cbbbba6f08/publication/data/api/keys/string'
Example Response
Empty
Was this page helpful?